# ======================================================
#  _   _ _      
# | \ | (_)_  __
# |  \| | \ \/ /
# | |\  | |>  < 
# |_| \_|_/_/\_\
#
# Configuration for nix

{ config, pkgs, lib, ... }:
{
    # cleanup nix store after every build
    nix.settings.auto-optimise-store = true;

    # confgure garbage collector of nixos
    # to run weekly
    nix.gc = {
        automatic = true;
        dates = "weekly";
        options = "--delete-older-than 30d";
    };

    nixpkgs.config = {
        allowAliases = true;
    };
}
